package com.example.vastlib.entity.action

import java.io.Serializable

data class WsRequestParam(
    val name: String = "",
    var value: String = "",
    var interrupt: String = "",
    val wait_time: Long = 0
)  {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (other == null || javaClass != other.javaClass) return false
        return name == (other as WsRequestParam).name
    }

    override fun hashCode(): Int {
        return name.hashCode()
    }

    override fun toString() = ""
}
